Rated 4 out of 5 stars

Version 1.4 does work correctly. That is it does not screw up the rendering as the latest version 2's did on some web sites and the rewind button does bring you back correctly, even though 1.4 is supposedly not supposedly not compatible with FF3. So, ver 1.4 deserves 4 stars. Go figure. You can get it from see al versions. You need to to set extensions.checkCompatibility to false in about:config.

This review is for a previous version of the add-on (2.1.2008052701).